## magyarispell 0.71

=== Makefile ===
magyar.hash: magyar.dict magyar.aff
	# ******* magyar ispell ragozsi sztr (magyar.hash) ellltsa *********
	buildhash magyar.dict magyar.aff magyar.hash

magyar.aff: aff.fej aff.alanyi aff.fonev
	# ******* magyar ispell ragozsi tblzat (magyar.aff) ellltsa *********
	cat aff.fej aff.alanyi aff.fonev aff.fonev.morfo | m4 >magyar.aff
	cat aff.targyas aff.ige_kiv | m4 >>magyar.aff

magyar.dict: ige_gen.awk fonev_gen.awk
	# ******* magyar ispell alapsztr (magyar.dict) ellltsa *********
	# sztrak egybemsolsa
	for i in _alap/*; do j=$$(basename $$i); cat [A-Z]*/$$j | \
	    sed 's/[	 ]*#.*$$//' | grep -v '^$$' >$$j; done
	# igkbl kpzett ms szfaj alakok ellltsa
	./igesgen
	# igk
	awk -v o="" -v e="" -v p="" -f ige_gen.awk <ige_alanyi >>magyar.dict
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_targy >>magyar.dict
	# mveltet igk
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_tat >>magyar.dict
	# hat igk
	awk -v o="" -v e="" -v p="" -f ige_gen.awk <ige_hat_alanyi >>magyar.dict
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_hat_targy >>magyar.dict
	# kivteles ragozs igk
	sed -e 's/$$/\/d/' <ige_morfo >>magyar.dict
	# kivteles ragozs fnevek
	cat fonev_morfo1 | cut -s -f 2 | sed -e 's/$$/\/I\/J\/Y/' >>magyar.dict
	cat fonev_morfo1 | cut -f 1 | awk -f fonev_gen2.awk | sed -e 's/$$/\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -s -f 2 | sed -e 's/$$/\/I\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -f 1 | awk -f fonev_gen2.awk | sed -e 's/$$/\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -f 3- | tr "\t" "\n" >>magyar.dict
	# fnevek
	awk -f fonev_gen.awk <fonev | sed -e 's/$$/\/Y\/D/' >>magyar.dict	
	awk -f mellek_sag.awk <melleknev >magyar.fonev
	cat tulajdonnev* | grep "^	" | tr -d "\t" >>magyar.dict
	cat tulajdonnev* | grep -v "^	" | cut -f 1 >>magyar.fonev 
	cat tulajdonnev* | grep '[aou][bcdfghjklmnprstvxyz]*[	].*i$$' | cut -sf 2 >>melleknev_mely
	cat tulajdonnev* | grep -v "^	" | cut -s -f 2 >>melleknev
	./ige_kiv.sh >>magyar.dict
	awk -f fonev_gen.awk <magyar.fonev | sed -e 's/$$/\/Y/' >>magyar.dict
	cat ige_eas  >magyar.fonev
	cat ige_hatosag >>magyar.fonev
	awk -f fonev_gen.awk <magyar.fonev | sed -e 's/$$/\/X\/Y\/D/' >>magyar.dict
	# mellknevek
	awk -f melleknev_gen.awk <melleknev >>magyar.dict
	awk -f melleknev_gen.awk <ige_o | sed -e 's/$$/\/X\/Y/' >>magyar.dict
	awk -f melleknev_gen.awk <ige_ando | sed -e 's/$$/\/X/' >>magyar.dict
	awk -f melleknev_gen.awk <ige_hato | sed -e 's/$$/\/X/' >>magyar.dict
	# egyb kivtelek
	cat kivetelek/igekts/* | grep -v ^# | m4 | tr "\t" "\n" | grep -v ^$$ | sed -e 's/$$/\/X/' >>magyar.dict
	cat ragozatlan kivetelek/ragozatlan/* | m4 | grep -v ^# | tr "\t" "\n" >>magyar.dict

install:
	# magyar.hash, magyar.aff a helyre
	mv magyar.hash $(DESTDIR)/usr/lib/ispell
	mv magyar.aff $(DESTDIR)/usr/lib/ispell
	# hungarian.hash -> magyar.hash kts ltrehozsa
	! [ -f $(DESTDIR)/usr/lib/ispell/hungarian.hash ] && ln -s magyar.hash $(DESTDIR)/usr/lib/ispell/hungarian.hash || true
	# spellhtml s spellhtmlic a helyre
	cp spellhtml/spellhtmlic spellhtml/spellhtml $(DESTDIR)/usr/bin

allinstal:
	install -D -o root -g root -m 0644 magyar.hash $(DESTDIR)/usr/lib/ispell/hungarian.hash
	install -o root -g root -m 0644 magyar.aff $(DESTDIR)/usr/lib/ispell/hungarian.aff
	install -D -o root -g root -m 0644 hu_HU.dic $(DESTDIR)/usr/share/myhungarian/hu_HU.dic
	install -o root -g root -m 0644 hu_HU.aff $(DESTDIR)/usr/share/myhungarian/hu_HU.aff

clean: 
	for i in _alap/*; do rm $$(basename $$i); done || true
	rm magyar* ige_ando ige_eas ige_hato ige_hatosag \
	    ige_hat_alanyi ige_hat_targy ige_o ige_tat

myspell:
	# hu_HU.aff myspell ragozsi tblzat ellltsa az sszes lehetsges cserebetvel
	# tvonal megadsa dir paramterrel, pl.: make myspell dir=OpenOffice/user/wordbook/
	bin/i2myspell $(ISPELLDIR)magyar README_hu_HU.txt A-Z a-z >$(dir)hu_HU.aff
	bin/i2myspell -d magyar.dict >$(dir)hu_HU.dic

all: magyar.hash
	make myspell ISPELLDIR=$(CURDIR)/

new:
	# j modul ltrehozsa
	echo -n "Adja meg az j modulknyvtr nevt (a kezd alhzsjelet nem kell): _"; \
	    read D; mkdir "_$$D" && \
	    for i in _alap/*; do grep "^#" $$i >"_$$D/`basename $$i`"; done; \
	    ln -s _$$D `echo $$D | sed 's/^\(.\).*/\1/' | tr a-z A-Z``echo $$D | sed 's/^.\(.*\)/\1/'`
