=== spellhtml/Makefile ===
spellhtmlic: spellhtmlic.flex
	flex spellhtmlic.flex
	gcc -lfl lex.yy.c -o spellhtmlic
clean:
	rm -f lex.yy.c
