=== fejlesztes/szamforras/Makefile ===
szmok: szam.dic szam.aff
	# Az unmunch segdprogram a MySpell rsze
	./unmunch szam.dic szam.aff | sort | uniq | sed 's/$$/ #MYSPELL/' >szamok.1
	cat plusz >>szamok.1
