=== debian/control ===
Source: magyarispell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8),
               dictionaries-common-dev (>= 1.10),
               ispell (>= 3.3.02),
               m4
Homepage: http://magyarispell.sourceforge.net/

Package: ihungarian
Architecture: any
Depends: dictionaries-common (>= 1.10), ispell (>= 3.3.02), ${misc:Depends}
Provides: ispell-dictionary
Description: Hungarian dictionary for ispell
 This package provides the Hungarian dictionary for ispell made by
 NEMETH Laszlo <nemethl@gyorsposta.hu>.

Package: myspell-hu
Architecture: all
Depends: dictionaries-common (>= 1.10), ${misc:Depends}
Suggests: libreoffice
Provides: hunspell-dictionary,
          hunspell-dictionary-hu,
          myspell-dictionary,
          myspell-dictionary-hu
Description: Hungarian dictionary for myspell
 This package provide the Hungarian dictionary for use with the
 myspell spellchecker which is currently used within OpenOffice.org
 and the mozilla spellchecker.
