=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	LANG="C" $(MAKE) ispell myspell

override_dh_auto_install:
	# ihungarian
	install -m 0644 tmp/magyar.aff         debian/ihungarian/usr/lib/ispell/hungarian.aff
	install -m 0644 tmp/magyar4ispell.hash debian/ihungarian/usr/lib/ispell/hungarian.hash
	installdeb-ispell    -pihungarian 
	# myspell-hu
	installdeb-myspell   -pmyspell-hu --srcdir=$(CURDIR)/tmp 
	installdeb-hunspell  -pmyspell-hu
