## magyarispell 1.2+repack

=== debian/changelog ===
magyarispell (1.2+repack-2) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Use git address for Vcs-Git.
    - Remove explicit ihungarian home and upstream email info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jan 2012 11:20:11 +0100

magyarispell (1.2+repack-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #476677,#585132). This is a Debian
    package based in Ubuntu package to make comon dependencies
    simpler.
  * debian/changelog:
    - Add missing changelog entries for some Debian uploads.
      Sorted after versions, not dates.
    - Remove obsolete Local Vars section from changelog.
  * debian/control:
    - Set maintainer to Debian QA.
    - Re-add Homepage field.
    - Add Vcs-Browser and Vcs-Git fields.
    - Bump Standards Version.
    - Fix lintian description-synopsis-starts-with-article.
  * debian/{source,patches}/*: Re-add Debian quilt format settings and
    diffs.
    - Add ${misc:Depends}.
    - Remove ancient openoffice.org-updatedicts dependency.
  * Add debian/watch file.
  * debian/myspell-hu.links: Remove obsolete file.
  * debian/myspell-hu.dirs: Do not create ancient myspell dirs.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
    - No longer install info-myspell file.
  * debian/copyright:
    - Recoded to UTF-8
    - Updated. Append COPYING.MPL.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 11 Jan 2012 16:52:54 +0100

magyarispell (1.2+repack-0ubuntu1) precise; urgency=low

  * Drop debian/myspell-hu.post{inst,rm} to drop now obsolete
    update-openoffice-dicts call. (LP: #901572)
  * Repack broken orig.tar.gz to not have the debian/ dir.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Dec 2011 10:26:55 +0100

magyarispell (1.2-0ubuntu2) lucid; urgency=low

  * Dictionary transition.

 -- Chris Cheney <ccheney@ubuntu.com>  Wed, 03 Feb 2010 16:45:00 -0600

magyarispell (1.2-0ubuntu1build1) gutsy; urgency=low

  * No-change upload to enable stack protector.

 -- Kees Cook <kees@ubuntu.com>  Tue, 14 Aug 2007 11:23:36 -0700

magyarispell (1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/compat
    - Bump compat version to make lintian happy
  * debian/control
    - Modify Maintainer value to match Debian-Maintainer-Field Spec
    - Update standards version
    - Update Openoffice.org recommends verson (based on structural changes in
      the dictionary files)
  * debian/rules
    - Install complete latin2 and (not fully complete) utf8 morphological files as well

 -- Aron Sisak <aron@ubuntu.hu>  Sat, 04 Aug 2007 12:49:25 +0200
