=== debian/control ===
Source: magyarispell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: ispell, m4, debhelper (>= 5.0), dictionaries-common-dev (>= 0.20)
Homepage: http://magyarispell.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magyarispell.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/magyarispell.git

Package: ihungarian
Architecture: any
Depends: ispell, debconf, dictionaries-common, ${misc:Depends}
Provides: ispell-dictionary
Description: Hungarian dictionary for ispell
 This is the Hungarian dictionary for ispell made by NEMETH Laszlo.

Package: myspell-hu
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: openoffice.org (>= 2.0.2-2)
Conflicts: openoffice.org (<= 1.0.3-2), myhungarian
Provides: myspell-dictionary, myspell-dictionary-hu, myhungarian
Replaces: myhungarian
Description: Hungarian dictionary for myspell
 This is the Hungarian dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the mozilla
 spellchecker.
