## magyarispell 1.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Magyar Ispell helyesrsi sztr
-# makefile v0.21 (2007. 5. 2.)
+# makefile v0.21 (2007-09-12)
 
 #######################################################################
 # Felhasznli bellts
@@ -98,12 +98,6 @@
 	@echo "==> igk" | $(CATUTF)
 	@$(SH) bin/igek $(ROOTDIR)
 
-	@echo "==> nvszk" | $(CATUTF)
-	@$(SH) bin/fonevek $(ROOTDIR)
-
-	@echo "==> morfolgiai kdok" | $(CATUTF)
-	@$(SH) bin/kodok $(ROOTDIR)
-
 # egyb kivtelek: az m4 miatt nem megy kln hjprogramba
 	@echo "==> kivtelek" | $(CATUTF)
 	@cat $(SZOTAR)/kivetelek/igekotos/*.2* \
@@ -121,16 +115,22 @@
 		>> $(DICT)
 	@echo $(EN) ."$(EC)"
 	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
-		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
+		| $(M4) | $(BINDIR)/field | grep -v ^# | grep -v "#[A-Z]" \
 		| sed 's/[	 ]*#.*$$//' \
 		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
 		>> $(DICT)
 	@echo $(EN) ."$(EC)"
 	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
-		| $(M4) | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
+		| $(M4) | $(BINDIR)/field | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
 		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
 		>> $(DICT)
 	@echo Rendben.
+
+	@echo "==> nvszk" | $(CATUTF)
+	@$(SH) bin/fonevek $(ROOTDIR)
+
+	@echo "==> morfolgiai kdok" | $(CATUTF)
+	@$(SH) bin/kodok $(ROOTDIR)
 
 	@echo $(EN) ."$(EC)"
 
@@ -202,19 +202,20 @@
 #ispell: magyar4ispell.hash
 
 # hu_HU.aff myspell ragozsi tblzat s a hu_HU.dic sztr ellltsa
-myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic kr
+myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic alias kr
 
 # - hu_HU.aff myspell ragozsi tblzat ellltsa az sszes
 #   lehetsges cserebetvel
 # a myspellhez ellltott magyar.aff llomnyhoz
 hu_HU.aff: magyar.aff
 	@echo "===> myspell ragozsi tblzat (hu_HU.aff) ellltsa" | $(CATUTF)
-	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff MYSPELL_heading \
+	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff HUNSPELL_heading \
 		A-Z a-z | sed 's/q\([^[]*\]\)/-\1/' | \
-                bin/newsyntax >$(ROOTDIR)/hu_HU_morph.aff
-	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_morph.aff | \
-		sed 's/&agrave;//g;s/&oslash;//g' >$(ROOTDIR)/hu_HU.aff
-	
+                bin/newsyntax >$(ROOTDIR)/hu_HU_morph.aff                
+	@cat $(ROOTDIR)/hu_HU_morph.aff | bin/aff2gen | \
+	        sed 's/&agrave;//g;s/&oslash;//g' >$(ROOTDIR)/hu_HU_gen.aff
+	@cat $(ROOTDIR)/hu_HU_gen.aff | \
+		LC_ALL=C sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU.aff
 
 # q ktjell alaktva a szablyokban
 
@@ -223,18 +224,31 @@
 hu_HU.dic: magyar.aff
 	@echo "===> myspell sztr (hu_HU.dic) ellltsa" | $(CATUTF)
 	@$(SH) bin/i2myspell -d $(WRKDIR)/magyar4myspell.dict | \
-	      bin/lemma_present | bin/quniq >$(ROOTDIR)/hu_HU_morph.dic
-	@LC_ALL=C sed 's/	.*//' $(ROOTDIR)/hu_HU_morph.dic >$(ROOTDIR)/hu_HU.dic
+	    bin/lemma_present | bin/quniq >$(ROOTDIR)/hu_HU_morph.dic
+	@cat $(ROOTDIR)/hu_HU_morph.dic | \
+	    bin/dic2gen $(WRKDIR)/mezok2.txt >$(ROOTDIR)/hu_HU_gen.dic
+	@cat hu_HU_gen.dic | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU.dic
 
 u8: hu_HU.aff hu_HU.dic
 	@echo "===> Unicode karakterkdols llomnyok ellltsa" | $(CATUTF)
 	@bin/u8myspell $(ROOTDIR)/hu_HU_morph $(WRKDIR)/hu_HU_u8_morph l2
 	@cat $(WRKDIR)/hu_HU_u8_morph.dic | sed 's#	/#/#' >$(ROOTDIR)/hu_HU_u8_morph.dic
 	@mv $(WRKDIR)/hu_HU_u8_morph.aff $(ROOTDIR)
-	@sed 's/	.*//' $(ROOTDIR)/hu_HU_u8_morph.dic >$(ROOTDIR)/hu_HU_u8.dic
-	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_u8_morph.aff \
-		>$(ROOTDIR)/hu_HU_u8.aff 
-        
+	@cat $(ROOTDIR)/hu_HU_u8_morph.dic | \
+	    bin/dic2gen $(WRKDIR)/mezok_utf.txt >$(ROOTDIR)/hu_HU_u8_gen.dic
+	@cat hu_HU_u8_gen.dic | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU_u8.dic
+	@cat $(ROOTDIR)/hu_HU_u8_morph.aff | \
+	    bin/aff2gen >$(ROOTDIR)/hu_HU_u8_gen.aff
+	@cat hu_HU_u8_gen.aff | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU_u8.aff
+
+alias: u8
+	@echo "===> Tmrtett Hunspell sztrak elksztse" | $(CATUTF)
+	@$(SH) bin/makealias $(ROOTDIR)/hu_HU_u8.dic $(ROOTDIR)/hu_HU_u8.aff
+	@$(SH) bin/makealias $(ROOTDIR)/hu_HU_u8_gen.dic $(ROOTDIR)/hu_HU_u8_gen.aff
+
 kr: hu_HU.aff hu_HU.dic u8 
 	@cd kr; make
