=== debian/changelog ===
magyarispell (1.6.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:47:27 +0100

magyarispell (1.6.1-2) unstable; urgency=medium

  * Build depend on and use gawk where gensub is used (Closes: #757166)
  * Bump Debhelper compat level to 9
  * Suggest libreoffice instead of openoffice.org
  * Modernize packaging using dh
  * Bump standards version without other changes
  * Finalize changelog

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 22 Aug 2014 22:13:04 +0200

magyarispell (1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #568322)
  * Adopt the package (Closes: #568328)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Jan 2014 00:52:19 +0100
