=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: magyarispell
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.2
-Build-Depends: ispell, m4, debhelper (>= 5.0), dictionaries-common-dev (>= 0.20)
+Maintainer: Balint Reczey <balint@balintreczey.hu>
+Standards-Version: 3.9.5
+Build-Depends: ispell, m4, debhelper (>= 9), dictionaries-common-dev (>= 0.20), gawk
 Homepage: http://magyarispell.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magyarispell.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/magyarispell.git
@@ -18,7 +18,7 @@
 Package: myspell-hu
 Architecture: all
 Depends: dictionaries-common (>= 0.10), ${misc:Depends}
-Suggests: openoffice.org (>= 2.0.2-2)
+Suggests: libreoffice
 Conflicts: openoffice.org (<= 1.0.3-2), myhungarian
 Provides: myspell-dictionary, myspell-dictionary-hu, myhungarian
 Replaces: myhungarian
