=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) ispell myspell

override_dh_auto_install:
	mv tmp/magyar.aff tmp/hungarian.aff
	mv tmp/magyar4ispell.hash tmp/hungarian.hash
	installdeb-ispell -pihungarian # This calls internally to dh_installdebconf
