=== debian/watch ===
# format version number, this line is compulsory!
version=2

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/magyarispell/magyarispell-(.+)\.tar\.gz
